Skip to main content
GET
Get Deployment

Authorizations

Authorization
string
header
default:$CARTESIA_API_KEY
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-03-01
required

API version header.

Available options:
2026-03-01
Example:

"2026-03-01"

Path Parameters

deployment_id
string
required

The ID of the deployment.

Response

200 - application/json
id
string
required

The unique identifier for the deployment.

agent_id
string
required

The ID of the agent associated with this deployment.

version_id
string
required

The ID of the agent version associated with this deployment.

status
string
required

The current status of the deployment. It can be queued, inactive, deploy_error, skipped, build_error, building, built, deploying, or deployed.

is_pinned
boolean
required

Marks that this deployment is the active deployment for its associated agent_id. Only one deployment per agent can be pinned at a time. Deployments can be pinned even if they are not live or failed.

is_live
boolean
required

True if this deployment is the live production deployment for its associated agent_id. Only one deployment per agent can be live at a time.

created_at
string<date-time>
required

The UTC timestamp when the deployment was created.

updated_at
string<date-time>
required

The UTC timestamp when the deployment was last updated.

env_var_collection_id
string | null

The ID of the environment variable collection associated with this deployment.

source_code_file_id
string | null

The ID of the source code file associated with this deployment.

git_commit_hash
string | null

The commit hash of the Git repository for this deployment.

build_completed_at
string<date-time> | null

The UTC timestamp when the build was completed.

build_error
string | null

Any error that occurred during the build process.

build_logs
string | null

Logs generated during the build process of the deployment.

build_started_at
string<date-time> | null

The UTC timestamp when the build process started.

deployment_started_at
string<date-time> | null

The UTC timestamp when the deployment process started.

deployment_completed_at
string<date-time> | null

The UTC timestamp when the deployment process was completed.

deployment_error
string | null

Any error that occurred during the deployment process.

region
string

The region where the deployment is running.